## org.apache.poi.hssf.record
Class WriteAccessRecord

    java.lang.Object
      org.apache.poi.hssf.record.Record
          org.apache.poi.hssf.record.WriteAccessRecord

public class WriteAccessRecord
extends Record

Title: Write Access Record

Description: Stores the username of that who owns the spreadsheet generator (on unix the user's login, on Windoze its the name you typed when you installed the thing)

REFERENCE: PG 424 Microsoft Excel 97 Developer's Kit (ISBN: 1-57231-498-2)

Version:
  2.0-pre
Author:
  Andrew C. Oliver (acoliver at apache dot org)

Field Summary
`static short` `sid`

Constructor Summary
`WriteAccessRecord()`
`WriteAccessRecord(short id, short size, byte[] data)` Constructs a WriteAccess record and sets its fields appropriately.
`WriteAccessRecord(short id, short size, byte[] data, int offset)` Constructs a WriteAccess record and sets its fields appropriately.

Method Summary
`protected void` `fillFields(byte[] data, short size, int offset)` called by the constructor, should set class level fields.
`int` `getRecordSize()` gives the current serialized size of the record.
`short` `getSid()` return the non static version of the id for this record.
`java.lang.String` `getUsername()` get the username for the user that created the report.
`int` `serialize(int offset, byte[] data)` called by the class that is responsible for writing this sucker.
`void` `setUsername(java.lang.String username)` set the username for the user that created the report.
`java.lang.String` `toString()` get a string representation of the record (for biffview/debugging)
`protected void` `validateSid(short id)` called by constructor, should throw runtime exception in the event of a record passed with a differing ID.

Methods inherited from class org.apache.poi.hssf.record.Record
`clone, fillFields, isInValueSection, isValue, processContinueRecord, serialize`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

Constructor Detail

### WriteAccessRecord

    public WriteAccessRecord()

### WriteAccessRecord

    public WriteAccessRecord(short id,
                             short size,
                             byte[] data)

  Constructs a WriteAccess record and sets its fields appropriately.

Parameters:
  `id` - id must be 0x5c or an exception will be throw upon validation
  `size` - the size of the data area of the record
  `data` - data of the record (should not contain sid/len)

### WriteAccessRecord

    public WriteAccessRecord(short id,
                             short size,
                             byte[] data,
                             int offset)

  Constructs a WriteAccess record and sets its fields appropriately.

Parameters:
  `id` - id must be 0x5c or an exception will be throw upon validation
  `size` - the size of the data area of the record
  `data` - data of the record (should not contain sid/len)
  `offset` - of the record data

Method Detail

### validateSid

    protected void validateSid(short id)

  Description copied from class: `Record`
  called by constructor, should throw runtime exception in the event of a record passed with a differing ID.

  Specified by:
    `validateSid` in class `Record`
  Parameters:
    `id` - alleged id for this record

### fillFields

    protected void fillFields(byte[] data,
                              short size,
                              int offset)

  Description copied from class: `Record`
  called by the constructor, should set class level fields. Should throw runtime exception for bad/icomplete data.

  Specified by:
    `fillFields` in class `Record`
  Parameters:
    `data` - raw data
    `size` - size of data
    `offset` - of the record's data (provided a big array of the file)

### setUsername

    public void setUsername(java.lang.String username)

  set the username for the user that created the report. HSSF uses the logged in user.

  Parameters:
    `username` - of the user who is logged in (probably "tomcat" or "apache")

### getUsername

    public java.lang.String getUsername()

  get the username for the user that created the report. HSSF uses the logged in user. On natively created M$ Excel sheet this would be the name you typed in when you installed it in most cases.

  Returns:
    username of the user who is logged in (probably "tomcat" or "apache")

### toString

    public java.lang.String toString()

  Description copied from class: `Record`
  get a string representation of the record (for biffview/debugging)

  Overrides:
    `toString` in class `Record`

### serialize

    public int serialize(int offset,
                         byte[] data)

  Description copied from class: `Record`
  called by the class that is responsible for writing this sucker. Subclasses should implement this so that their data is passed back in a byte array.

  Specified by:
    `serialize` in class `Record`
  Parameters:
    `offset` - to begin writing at
    `data` - byte array containing instance data
  Returns:
    number of bytes written

### getRecordSize

    public int getRecordSize()

  Description copied from class: `Record`
  gives the current serialized size of the record. Should include the sid and reclength (4 bytes).

  Overrides:
    `getRecordSize` in class `Record`

### getSid

    public short getSid()

  Description copied from class: `Record`
  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `Record`

Copyright © 2003 Apache Software Foundation.